diff --git mscore/libmscore/spatsymbol.cpp mscore/libmscore/spatsymbol.cpp
index 7eef91a..1ac74db 100644
--- mscore/libmscore/spatsymbol.cpp
+++ mscore/libmscore/spatsymbol.cpp
@@ -108,6 +108,8 @@ void SpatSymbol::draw(QPainter* painter) const {
 
 void SpatSymbol::layout() {
       setbbox(QRectF(-10.0, -20.0, 20.0, 20.0));
+  //    setPos(0.0, -30.0);
+  //    adjustReadPos();
    //   BSymbol::layout();
 }
 
diff --git mscore/mscore/shortcutcapturedialog.cpp mscore/mscore/shortcutcapturedialog.cpp
index 1756838..b25de7d 100644
--- mscore/mscore/shortcutcapturedialog.cpp
+++ mscore/mscore/shortcutcapturedialog.cpp
@@ -37,8 +37,17 @@ ShortcutCaptureDialog::ShortcutCaptureDialog(Shortcut* _s, QMap<QString, Shortcu
       connect(clearButton, SIGNAL(clicked()), SLOT(clearClicked()));
       clearClicked();
       grabKeyboard();
+      
+      // Force the focus onto this dialog. This is required in osx to get command+backspace
+      setFocus();
       }
 
+// We don't allow the dialog to loose focus as on osx. if we would allow, on osx command-backspace
+// couldn't be tracked.
+void ShortcutCaptureDialog::focusOutEvent ( QFocusEvent * event ) {
+      setFocus();
+}
+
 //---------------------------------------------------------
 //   ShortcutCaptureDialog
 //---------------------------------------------------------
diff --git mscore/mscore/shortcutcapturedialog.h mscore/mscore/shortcutcapturedialog.h
index e503166..3122ee2 100644
--- mscore/mscore/shortcutcapturedialog.h
+++ mscore/mscore/shortcutcapturedialog.h
@@ -50,5 +50,8 @@ class ShortcutCaptureDialog : public QDialog, public Ui::ShortcutCaptureDialogBa
       ShortcutCaptureDialog(Shortcut* s, QMap<QString, Shortcut*> localShortcuts, QWidget* parent = 0);
       ~ShortcutCaptureDialog();
       QKeySequence getKey() const { return key; }
+      
+      protected:
+      virtual void focusOutEvent ( QFocusEvent * event );
       };
 
